package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

public class KQWifiComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_wifi";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "id";

	@CacheColumn(name = "wifiname")
	protected static int wifiname;

	@CacheColumn(name = "mac")
	protected static int mac;

	@CacheColumn(name = "groupid")
	protected static int groupid;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

	public String getWifiname() { return (String)getRowValue(wifiname); }

	public String getWifiname(String key) {
		return (String)getValue(wifiname,key);
	}

	public String getMac() { return (String)getRowValue(mac); }

	public String getMac(String key) {
		return (String)getValue(mac,key);
	}

	public String getGroupid() { return (String)getRowValue(groupid); }

	public String getGroupid(String key) {
		return (String)getValue(groupid,key);
	}
}